routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('/', 'Auth\LoginController@showLoginForm');


Route::middleware(['auth'])->group(function () {
    Route::get('/home', 'HomeController@index')->name('home');
    Route::resource('roles', 'RolesController');
    Route::resource('users', 'UserController');
});

resources/views/layouts/admin/_cFrame.blade.php
<div class="x_panel">
    <div class="x_title">
        <h2>{{ $title }} </h2>

        <ul class="nav navbar-right panel_toolbox">
            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
            </li>
            <li class="dropdown">
                {{ $buttons }}
            </li>
            <li><a class="close-link"><i class="fa fa-close"></i></a>
            </li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <div class="row">
            <!-- /MAIL LIST -->

            <!-- CONTENT MAIL -->
            <div class="col-sm-12 mail_view">
                {{ $content }}
            </div>
            <!-- /CONTENT MAIL -->
        </div>
    </div>
</div>

resources/views/layouts/admin/_contentLeft.blade.php
<button id="compose" class="btn btn-sm btn-success btn-block"
        type="button">
    COMPOSE
</button>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
        </div>
        <div class="right">
            <h3>Dennis Mugo
                <small>3.00 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-star"></i>
        </div>
        <div class="right">
            <h3>Jane Nobert
                <small>4.09 PM</small>
            </h3>
            <p><span class="badge">To</span> Ut enim ad minim
                veniam, quis
                nostrud exercitation enim ad minim veniam, quis
                nostrud
                exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-circle-o"></i><i
                class="fa fa-paperclip"></i>
        </div>
        <div class="right">
            <h3>Musimbi Anne
                <small>4.09 PM</small>
            </h3>
            <p><span class="badge">CC</span> Ut enim ad minim
                veniam, quis
                nostrud exercitation enim ad minim veniam, quis
                nostrud
                exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-paperclip"></i>
        </div>
        <div class="right">
            <h3>Jon Dibbs
                <small>4.09 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            .
        </div>
        <div class="right">
            <h3>Debbis & Raymond
                <small>4.09 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            .
        </div>
        <div class="right">
            <h3>Debbis & Raymond
                <small>4.09 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
        </div>
        <div class="right">
            <h3>Dennis Mugo
                <small>3.00 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>
<a href="#">
    <div class="mail_list">
        <div class="left">
            <i class="fa fa-star"></i>
        </div>
        <div class="right">
            <h3>Jane Nobert
                <small>4.09 PM</small>
            </h3>
            <p>Ut enim ad minim veniam, quis nostrud exercitation
                enim ad
                minim veniam, quis nostrud exercitation...</p>
        </div>
    </div>
</a>

resources/views/layouts/admin/_contentRigth.blade.php
<div class="inbox-body">
    <div class="mail_heading row">
        <div class="col-md-8">
            <div class="btn-group">
                <button class="btn btn-sm btn-primary"
                        type="button"><i
                        class="fa fa-reply"></i> Reply
                </button>
                <button class="btn btn-sm btn-light" type="button"
                        data-placement="top" data-toggle="tooltip"
                        data-original-title="Forward"><i
                        class="fa fa-share"></i></button>
                <button class="btn btn-sm btn-light" type="button"
                        data-placement="top" data-toggle="tooltip"
                        data-original-title="Print"><i
                        class="fa fa-print"></i></button>
                <button class="btn btn-sm btn-light" type="button"
                        data-placement="top" data-toggle="tooltip"
                        data-original-title="Trash"><i
                        class="fa fa-trash-o"></i></button>
            </div>
        </div>
        <div class="col-md-4 text-right">
            <p class="date"> 8:02 PM 12 FEB 2014</p>
        </div>
        <div class="col-md-12">
            <h4> Donec vitae leo at sem lobortis porttitor eu
                consequat
                risus. Mauris sed congue orci. Donec ultrices
                faucibus
                rutrum.</h4>
        </div>
    </div>
    <div class="sender-info">
        <div class="row">
            <div class="col-md-12">
                <strong>Jon Doe</strong>
                <span>(jon.doe@gmail.com)</span> to
                <strong>me</strong>
                <a class="sender-dropdown"><i
                        class="fa fa-chevron-down"></i></a>
            </div>
        </div>
    </div>
    <div class="view-mail">
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit,
            sed do
            eiusmod tempor incididunt ut labore et dolore magna
            aliqua. Ut
            enim ad minim veniam, quis nostrud exercitation ullamco
            laboris
            nisi ut aliquip ex ea commodo consequat.
            Duis aute irure dolor in reprehenderit in voluptate
            velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint
            occaecat
            cupidatat non proident, sunt in culpa qui officia
            deserunt
            mollit anim id est laborum. </p>
        <p>Riusmod tempor incididunt ut labor erem ipsum dolor sit
            amet,
            consectetur adipiscing elit, sed do eiusmod tempor
            incididunt ut
            labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis
            nostrud exercitation ullamco laboris
            nisi ut aliquip ex ea commodo consequat. Duis aute irure
            dolor
            in reprehenderit in voluptate velit esse cillum dolore
            eu fugiat
            nulla pariatur. Excepteur sint occaecat cupidatat non
            proident,
            sunt in culpa qui officia deserunt
            mollit anim id est laborum.</p>
        <p>Modesed do eiusmod tempor incididunt ut labore et dolore
            magna
            aliqua. Ut enim ad minim veniam, quis nostrud
            exercitation
            ullamco laboris nisi ut aliquip ex ea commodo consequat.
            Duis
            aute irure dolor in reprehenderit in voluptate
            velit esse cillum dolore eu fugiat nulla pariatur.
            Excepteur
            sint occaecat cupidatat non proident, sunt in culpa qui
            officia
            deserunt mollit anim id est laborum.</p>
    </div>
    <div class="attachment">
        <p>
                                                                <span><i
                                                                        class="fa fa-paperclip"></i> 3 attachments — </span>
            <a href="#">Download all attachments</a> |
            <a href="#">View all images</a>
        </p>
        <ul>
            <li>
                <a href="#" class="atch-thumb">
                    <img src="images/inbox.png" alt="img"/>
                </a>

                <div class="file-name">
                    image-name.jpg
                </div>
                <span>12KB</span>


                <div class="links">
                    <a href="#">View</a> -
                    <a href="#">Download</a>
                </div>
            </li>

            <li>
                <a href="#" class="atch-thumb">
                    <img src="images/inbox.png" alt="img"/>
                </a>

                <div class="file-name">
                    img_name.jpg
                </div>
                <span>40KB</span>

                <div class="links">
                    <a href="#">View</a> -
                    <a href="#">Download</a>
                </div>
            </li>
            <li>
                <a href="#" class="atch-thumb">
                    <img src="images/inbox.png" alt="img"/>
                </a>

                <div class="file-name">
                    img_name.jpg
                </div>
                <span>30KB</span>

                <div class="links">
                    <a href="#">View</a> -
                    <a href="#">Download</a>
                </div>
            </li>

        </ul>
    </div>
    <div class="btn-group">
        <button class="btn btn-sm btn-primary" type="button"><i
                class="fa fa-reply"></i> Reply
        </button>
        <button class="btn btn-sm btn-light" type="button"
                data-placement="top" data-toggle="tooltip"
                data-original-title="Forward"><i
                class="fa fa-share"></i>
        </button>
        <button class="btn btn-sm btn-light" type="button"
                data-placement="top" data-toggle="tooltip"
                data-original-title="Print"><i
                class="fa fa-print"></i>
        </button>
        <button class="btn btn-sm btn-light" type="button"
                data-placement="top" data-toggle="tooltip"
                data-original-title="Trash"><i
                class="fa fa-trash-o"></i>
        </button>
    </div>
</div>

resources/views/layouts/admin/_menuProfile.blade.php
<div class="profile clearfix">
    <div class="profile_pic">
        <img src="{{ asset('images/male.png') }}" alt="..." class="img-circle profile_img">
    </div>
    <div class="profile_info">
        <span>Bienvenido,</span>
        <h2>{{ Auth::user()->name }}</h2>
    </div>
</div>

resources/views/layouts/admin/_sideMenu.blade.php
<div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
    <div class="menu_section">
        <h3>General</h3>
        <ul class="nav side-menu">
            <li>
                <a>
                    <i class="fa fa-home"></i> Home <span class="fa fa-chevron-down"></span>
                </a>
                <ul class="nav child_menu">
                    <li><a href="{{ route('home') }}">Dashboard</a></li>
                </ul>
            </li>
            <li>
                <a><i class="fa fa-edit"></i> Tareas <span class="fa fa-chevron-down"></span></a>
                <ul class="nav child_menu">
                    <li><a href="{{ route('tareas.index') }}">Administración de Tareas</a></li>
                    <li><a href="{{ route('clientes.index') }}">Administración de Clientes</a></li>
                    {{-- <li><a href="form_validation.html">Form Validation</a></li>
                         <li><a href="form_wizards.html">Form Wizard</a></li>
                        <li><a href="form_upload.html">Form Upload</a></li>
                        <li><a href="form_buttons.html">Form Buttons</a></li>--}}
                </ul>
            </li>
        </ul>
    </div>
    {{--<div class="menu_section">
        <h3>Live On</h3>
        <ul class="nav side-menu">
           }{{--<li><a><i class="fa fa-sitemap"></i> Multilevel Menu <span
                        class="fa fa-chevron-down"></span></a>
                <ul class="nav child_menu">
                    <li><a href="#level1_1">Level One</a></li>
                    <li><a>Level One<span class="fa fa-chevron-down"></span></a>
                        <ul class="nav child_menu">
                            <li class="sub_menu"><a href="level2.html">Level Two</a>
                            </li>
                            <li><a href="#level2_1">Level Two</a>
                            </li>
                            <li><a href="#level2_2">Level Two</a>
                            </li>
                        </ul>
                    </li>
                    <li><a href="#level1_2">Level One</a>
                    </li>
                </ul>
            </li>--}}{{--
        </ul>
    </div>--}}

</div>

resources/views/layouts/admin/_subHeaderForm.blade.php
<div class="page-title row">
    <div class="col-sm-6 col-12 text-left">
        <h3>Sesión administrativa:
            <small>{{ Auth::user()->name }}</small>
        </h3>
    </div>

    <div class="col-sm-6 col-12 text-right">
        <div class="row">
            <div
                class="offset-xl-7 col-xl-5 col-lg-12 col-md-12 col-sm-5 col-12 form-group pull-right top_search mt-3">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for...">
                    <span class="input-group-btn">
                                                    <button class="btn btn-light" type="button">Go!</button>
                                                </span>
                </div>

            </div>
        </div>
    </div>
</div>

resources/views/layouts/admin/_topNavigation.blade.php
<div class="col-lg-12 top_nav">
    <div class="nav_menu">
        <nav>
            <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
            </div>

            <ul class="nav navbar-nav navbar-right">
                <li class="">
                    <a href="javascript:;" class="user-profile dropdown-toggle"
                       data-toggle="dropdown"
                       aria-expanded="false">
                        <img src="images/img.jpg" alt="">{{ Auth::user()->name }}
                        <span class=" fa fa-angle-down"></span>
                    </a>

                    <ul class="dropdown-menu dropdown-usermenu pull-right">
                        <li><a href="javascript:;"> Profile</a></li>
                        <li>
                            <a href="{{ route('users.index') }}">
                               {{-- <span class="badge bg-red pull-right">50%</span>--}}
                                <span>Usuarios</span>
                            </a>
                        </li>
                        <li><a href="{{ route('roles.index') }}">Roles</a></li>
                        <li>
                        <a class="fa fa-sign-out pull-right" href="{{ route('logout') }}"
                           onclick="event.preventDefault();
                           document.getElementById('logout-form').submit();">
                            {{ __('Logout') }}
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST"
                              style="display: none;">
                            @csrf
                        </form>
                        </li>
                    </ul>
                </li>

               {{-- <li role="presentation" class="dropdown">
                    <a href="javascript:;" class="dropdown-toggle info-number"
                       data-toggle="dropdown"
                       aria-expanded="false">
                        <i class="fa fa-envelope-o"></i>
                        --}}{{--<span class="badge bg-green">6</span>--}}{{--
                    </a>
                    --}}{{--<ul id="menu1" class="dropdown-menu list-unstyled msg_list" role="menu">
                        <li>
                            <a>
                                <span class="image"><img src="images/img.jpg" alt="Profile Image"/></span>
                                <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                                <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                            </a>
                        </li>
                        <li>
                            <a>
                                <span class="image"><img src="images/img.jpg" alt="Profile Image"/></span>
                                <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                                <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                            </a>
                        </li>
                        <li>
                            <a>
                                <span class="image"><img src="images/img.jpg" alt="Profile Image"/></span>
                                <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                                <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                            </a>
                        </li>
                        <li>
                            <a>
                                <span class="image"><img src="images/img.jpg" alt="Profile Image"/></span>
                                <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                                <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                            </a>
                        </li>
                        <li>
                            <div class="text-center">
                                <a>
                                    <strong>See All Alerts</strong>
                                    <i class="fa fa-angle-right"></i>
                                </a>
                            </div>
                        </li>
                    </ul>--}}{{--
                </li>--}}
            </ul>
        </nav>
    </div>
</div>